#!/usr/local/cpanel/3rdparty/bin/perl -w

#                                      Copyright 2024 WebPros International, LLC
#                                                           All rights reserved.
# copyright@cpanel.net                                         http://cpanel.net
# This code is subject to the cPanel license. Unauthorized copying is prohibited.

use Test::More;

use experimental 'builtin';

use lib 't/lib';
use Whostmgr::360Monitoring::Agent::Test;

use constant {
    MUST_PROVIDE    => [qw/enabled/],
    PACKAGE_TO_TEST => test_to_package(__FILE__),
};

use_ok(PACKAGE_TO_TEST);
can_ok( PACKAGE_TO_TEST, MUST_PROVIDE->@* );
done_testing();
